import { __extends } from "tslib";
import { DescribeTrunkInterfaceAssociationsRequest, DescribeTrunkInterfaceAssociationsResult, } from "../models/models_3";
import { deserializeAws_ec2DescribeTrunkInterfaceAssociationsCommand, serializeAws_ec2DescribeTrunkInterfaceAssociationsCommand, } from "../protocols/Aws_ec2";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
/**
 * <p>Describes one or more network interface trunk associations.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { EC2Client, DescribeTrunkInterfaceAssociationsCommand } from "@aws-sdk/client-ec2"; // ES Modules import
 * // const { EC2Client, DescribeTrunkInterfaceAssociationsCommand } = require("@aws-sdk/client-ec2"); // CommonJS import
 * const client = new EC2Client(config);
 * const command = new DescribeTrunkInterfaceAssociationsCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeTrunkInterfaceAssociationsCommandInput} for command's `input` shape.
 * @see {@link DescribeTrunkInterfaceAssociationsCommandOutput} for command's `response` shape.
 * @see {@link EC2ClientResolvedConfig | config} for command's `input` shape.
 *
 */
var DescribeTrunkInterfaceAssociationsCommand = /** @class */ (function (_super) {
    __extends(DescribeTrunkInterfaceAssociationsCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function DescribeTrunkInterfaceAssociationsCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    /**
     * @internal
     */
    DescribeTrunkInterfaceAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "EC2Client";
        var commandName = "DescribeTrunkInterfaceAssociationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTrunkInterfaceAssociationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTrunkInterfaceAssociationsResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTrunkInterfaceAssociationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_ec2DescribeTrunkInterfaceAssociationsCommand(input, context);
    };
    DescribeTrunkInterfaceAssociationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_ec2DescribeTrunkInterfaceAssociationsCommand(output, context);
    };
    return DescribeTrunkInterfaceAssociationsCommand;
}($Command));
export { DescribeTrunkInterfaceAssociationsCommand };
//# sourceMappingURL=DescribeTrunkInterfaceAssociationsCommand.js.map