import { __extends } from "tslib";
import { GetSubnetCidrReservationsRequest, GetSubnetCidrReservationsResult } from "../models/models_4";
import { deserializeAws_ec2GetSubnetCidrReservationsCommand, serializeAws_ec2GetSubnetCidrReservationsCommand, } from "../protocols/Aws_ec2";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
/**
 * <p>Gets information about the subnet CIDR reservations.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { EC2Client, GetSubnetCidrReservationsCommand } from "@aws-sdk/client-ec2"; // ES Modules import
 * // const { EC2Client, GetSubnetCidrReservationsCommand } = require("@aws-sdk/client-ec2"); // CommonJS import
 * const client = new EC2Client(config);
 * const command = new GetSubnetCidrReservationsCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link GetSubnetCidrReservationsCommandInput} for command's `input` shape.
 * @see {@link GetSubnetCidrReservationsCommandOutput} for command's `response` shape.
 * @see {@link EC2ClientResolvedConfig | config} for command's `input` shape.
 *
 */
var GetSubnetCidrReservationsCommand = /** @class */ (function (_super) {
    __extends(GetSubnetCidrReservationsCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function GetSubnetCidrReservationsCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    /**
     * @internal
     */
    GetSubnetCidrReservationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "EC2Client";
        var commandName = "GetSubnetCidrReservationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetSubnetCidrReservationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetSubnetCidrReservationsResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetSubnetCidrReservationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_ec2GetSubnetCidrReservationsCommand(input, context);
    };
    GetSubnetCidrReservationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_ec2GetSubnetCidrReservationsCommand(output, context);
    };
    return GetSubnetCidrReservationsCommand;
}($Command));
export { GetSubnetCidrReservationsCommand };
//# sourceMappingURL=GetSubnetCidrReservationsCommand.js.map